Retrieves the job work instruction list with the specified key.
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
job_work_instruction_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| work_instruction_details_id |
work instruction details id |
globally unique identifier | |
| work_instruction_details_reference_back_office |
Embedded code "work instruction details" when adding/updating |
string | |
| work_instruction_details |
Embedded entity "work instruction details" when adding/updating |
work_instruction_details | |
| user_id |
Filled by the person that completed that item on the checklist |
globally unique identifier | |
| work_instruction_action_type |
Value from work_instruction_action_type.name |
string | |
| work_instruction_id |
work instruction id |
globally unique identifier |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction_reference_back_office |
Embedded code "work instruction" when adding/updating |
string |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction |
Embedded entity "work instruction" when adding/updating |
work_instruction |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| name |
The "on what" |
string |
Required Max length: 4000 |
| status |
Status can be Ok,NotOk,Replaced,NotApplicable |
string |
Max length: 50 |
| date_done |
Datetime filled when status goes to one valable status. |
date | |
| remark |
Additional remark from the technician. |
string |
Max length: 255 |
| advise |
Additional advice from the technician. |
string |
Max length: 255 |
| sequence |
To order it. |
integer | |
| reference_back_office |
The Id/Ref of the back office for this job work instruction. Used by Embedded entity |
string |
Max length: 255 |
| group_name |
Name of the group |
string |
Max length: 4000 |
| group_sequence |
Order of the group |
integer | |
| type |
One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default |
string | |
| instruction_document_count |
Specify how many documents/photos must be added if type is Picture |
integer | |
| db_report_type_id |
When type is Form, you must specify which db_report_type must be filled |
globally unique identifier | |
| db_report_type_name |
When type is Form, you must specify which db_report_type must be filled |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "a6d3af9a-c507-4166-8182-f788c31ce224",
"jobs_id": "97de1a09-f5cd-4654-b457-9dfeb3190728",
"jobs_reference_back_office": "sample string 3",
"jobs": {
"id": "d0c6c72c-57a0-4e43-a4c0-d44d4ba2b7f0",
"_parent_id": "0f9cadff-7f67-4243-8623-83f17f863bff",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "d7b7496d-911f-4f55-bae3-cc359e08fd89",
"project_reference_back_office": "sample string 5",
"project": {
"id": "e9934156-4d92-459f-b4bd-3508534ade03",
"_parent_id": "da25f900-e3c8-4ae7-8fa7-f901ed55b310",
"root_parent_id": "26e958d5-d487-47eb-9333-95c3d1a266b9",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "b353a286-7295-43f7-8c6a-c28dca1203bf",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "eded74cf-30bf-408d-a50b-0d3815184b85",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "a4208777-8b41-41a3-bcb3-b38f9cbccd6b",
"_parent_code": "sample string 6",
"sales_organization_id": "d0a234ba-12ed-4041-a6df-5e4e3e8c7e60",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "5fc418ce-6a06-47fe-8ab6-ef5314736bee",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "85993ee8-ea5a-4f65-b271-ece5bcba8604",
"db_currency_id": "cc883747-5170-4dc9-a1b1-81f2d3fc00b6",
"db_language_id": "7c19d14c-8b94-4616-8f44-ad1024058c40",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T00:39:19.1796833+00:00"
},
"modified_dateutc": "2026-11-12T00:39:19.1796833+00:00"
},
"equipment_model_id": "097ea3c3-8dd5-4499-b73c-7d2b2e9744bc",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "55d753d7-e24c-4f82-9892-be4ebb3f252d",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "07f937b7-dfa6-4317-b943-5e7c9ecc351f",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "2f9e635c-c9ce-470a-bcec-dcb150d2e906",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "74256c3a-96b1-4b36-a75b-c65de3a25e90",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "5fc418ce-6a06-47fe-8ab6-ef5314736bee",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "85993ee8-ea5a-4f65-b271-ece5bcba8604",
"db_currency_id": "cc883747-5170-4dc9-a1b1-81f2d3fc00b6",
"db_language_id": "7c19d14c-8b94-4616-8f44-ad1024058c40",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T00:39:19.1796833+00:00"
},
"modified_dateutc": "2026-11-12T00:39:19.1796833+00:00"
},
"equipment_family_id": "9212465d-8624-43f3-935f-b3e60a846d96",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "eded74cf-30bf-408d-a50b-0d3815184b85",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "a4208777-8b41-41a3-bcb3-b38f9cbccd6b",
"_parent_code": "sample string 6",
"sales_organization_id": "d0a234ba-12ed-4041-a6df-5e4e3e8c7e60",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "5fc418ce-6a06-47fe-8ab6-ef5314736bee",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "85993ee8-ea5a-4f65-b271-ece5bcba8604",
"db_currency_id": "cc883747-5170-4dc9-a1b1-81f2d3fc00b6",
"db_language_id": "7c19d14c-8b94-4616-8f44-ad1024058c40",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T00:39:19.1796833+00:00"
},
"modified_dateutc": "2026-11-12T00:39:19.1796833+00:00"
},
"date_in_production_since": "2026-11-12T00:39:19.1796833+00:00",
"date_out_of_production_since": "2026-11-12T00:39:19.1796833+00:00",
"date_end_support": "2026-11-12T00:39:19.1796833+00:00",
"sales_organization_id": "5a9978cc-ec60-430b-a06c-e841b57dd9bf",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "5fc418ce-6a06-47fe-8ab6-ef5314736bee",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "85993ee8-ea5a-4f65-b271-ece5bcba8604",
"db_currency_id": "cc883747-5170-4dc9-a1b1-81f2d3fc00b6",
"db_language_id": "7c19d14c-8b94-4616-8f44-ad1024058c40",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T00:39:19.1796833+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-12T00:39:19.1796833+00:00"
},
"project_status_id": "c2671cab-73fc-4a2a-b619-1cb1805930c2",
"project_status_code": "sample string 10",
"project_status": {
"id": "1e806f6a-31c0-4ded-9834-c406d21641bb",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "2065f99d-575f-4086-9f80-5fb492e1fbed",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "5fc418ce-6a06-47fe-8ab6-ef5314736bee",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "85993ee8-ea5a-4f65-b271-ece5bcba8604",
"db_currency_id": "cc883747-5170-4dc9-a1b1-81f2d3fc00b6",
"db_language_id": "7c19d14c-8b94-4616-8f44-ad1024058c40",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T00:39:19.1796833+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-12T00:39:19.1796833+00:00"
},
"company_id": "29925f14-ebec-4dba-8bf4-97d4c7cb44bb",
"company_code": "sample string 12",
"db_address_id": "f47b8bc8-ebc2-44b2-9fd7-3f614681af9f",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "f0a37101-5dd7-4cc8-a6fe-164463c9b2a9",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "9c4a34f5-468d-4880-9ba5-947fdcb3802c",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-11-12T00:39:19.1796833+00:00",
"date_create": "2026-11-12T00:39:19.1796833+00:00",
"date_update": "2026-11-12T00:39:19.1796833+00:00",
"updated_by_user_id": "e5dad0e0-277d-4fe0-8125-1116c34e6188",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-11-12T00:39:19.1796833+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-11-12T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-11-12T00:39:19.1796833+00:00",
"date_last_job": "2026-11-12T00:39:19.1796833+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-11-12T00:39:19.1796833+00:00",
"modified_dateutc": "2026-11-12T00:39:19.1796833+00:00",
"is_mobile_installation": true
},
"job_type_id": "510e01a7-4a08-4a63-a79b-c67b771d1bf3",
"job_type_code": "sample string 7",
"job_type": {
"id": "7f7c2a91-45ac-49aa-99b4-15f1d773eb73",
"name": "sample string 2",
"sales_organization_id": "c669e037-bffd-4901-b4ef-42fd8094154d",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-11-12T00:39:19.1796833+00:00",
"code": "sample string 7"
},
"job_priority_id": "cf777ba9-47b0-4b15-ae8c-7db6e07be9df",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "e269f4c5-cfcc-40f3-9bd5-06d7160760c4",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "9deba0c4-ad3e-4c9b-a432-4aa8db35c2f9",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "5fc418ce-6a06-47fe-8ab6-ef5314736bee",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "85993ee8-ea5a-4f65-b271-ece5bcba8604",
"db_currency_id": "cc883747-5170-4dc9-a1b1-81f2d3fc00b6",
"db_language_id": "7c19d14c-8b94-4616-8f44-ad1024058c40",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T00:39:19.1796833+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-12T00:39:19.1953099+00:00"
},
"job_status_id": "c97860c4-25e8-43a9-9381-d2ccb69904f0",
"job_status_code": "sample string 11",
"db_address_id": "0f872bed-5d16-480b-9852-fc9f112c4033",
"contact_id": "3e219582-55cb-4783-9288-69f12edda0a7",
"requested_by_company_id": "62d64139-ee0d-492f-93f6-90348e35bd68",
"requested_by_contact_id": "cf4ae41d-4828-4492-988b-1d0a67d5fa73",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-11-12T00:39:19.1953099+00:00",
"due_date": "2026-11-12T00:39:19.1953099+00:00",
"date_create": "2026-11-12T00:39:19.1953099+00:00",
"date_update": "2026-11-12T00:39:19.1953099+00:00",
"date_closed": "2026-11-12T00:39:19.1953099+00:00",
"suggested_user_id": "df7fd490-28e2-454b-b900-0babd92f8ee7",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "ad3bf1a0-5afa-469e-8372-2e5b269e38bb",
"db_language_id": "20a482a6-b9ea-444f-b1e3-b47ea0ab0c47",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-12T00:39:19.1953099+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "9b7d87ef-c808-4ec0-ad3e-db20efa341ab",
"sales_organization": {
"id": "5fc418ce-6a06-47fe-8ab6-ef5314736bee",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "85993ee8-ea5a-4f65-b271-ece5bcba8604",
"db_currency_id": "cc883747-5170-4dc9-a1b1-81f2d3fc00b6",
"db_language_id": "7c19d14c-8b94-4616-8f44-ad1024058c40",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T00:39:19.1796833+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "9ced4ab2-409f-478f-b24c-37c3712d529a",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "10983822-e1b6-4b77-8386-77c39a1a2f56",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-12T00:39:19.1953099+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "816f48ad-376a-4a02-a07e-0dd2a29daf12"
},
"suggested_date_start": "2026-11-12T00:39:19.1953099+00:00",
"skill_id": "553f1088-539d-429c-8057-f8925dd3589b",
"skill_code": "sample string 32",
"skill": {
"id": "6ddb1805-0f36-4b9b-a68c-1ef28e4e4c8d",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "65773042-2800-4a7f-88df-a60dc0d6accd",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "5fc418ce-6a06-47fe-8ab6-ef5314736bee",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "85993ee8-ea5a-4f65-b271-ece5bcba8604",
"db_currency_id": "cc883747-5170-4dc9-a1b1-81f2d3fc00b6",
"db_language_id": "7c19d14c-8b94-4616-8f44-ad1024058c40",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T00:39:19.1796833+00:00"
},
"modified_dateutc": "2026-11-12T00:39:19.1953099+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "d11046a8-b0ae-49fb-b492-663dee04326b",
"date_reported_by_company": "2026-11-12T00:39:19.1953099+00:00",
"id2": 36,
"company_id": "3500fd2e-a19b-4b40-a501-078ae992405d",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "e4ec9eb0-e589-4407-9f1f-8f580848626b",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-11-12T00:39:19.1953099+00:00"
},
"work_instruction_details_id": "45c456bf-c3a4-45d1-b1b9-74afcca86b67",
"work_instruction_details_reference_back_office": "sample string 5",
"user_id": "4c649a92-035e-4309-894f-d5eec42601eb",
"work_instruction_action_type": "sample string 7",
"work_instruction_id": "b1eaba83-ce5c-498a-b9ef-9b7a235bf17a",
"work_instruction_reference_back_office": "sample string 9",
"name": "sample string 10",
"status": "sample string 11",
"date_done": "2026-11-12T00:39:19.1953099+00:00",
"remark": "sample string 13",
"advise": "sample string 14",
"sequence": 1,
"reference_back_office": "sample string 15",
"group_name": "sample string 16",
"group_sequence": 1,
"type": "sample string 17",
"instruction_document_count": 1,
"db_report_type_id": "6ef3356f-a06d-4b32-b539-9fc651d337a0",
"db_report_type_name": "sample string 18",
"modified_dateutc": "2026-11-12T00:39:19.1953099+00:00"
}